Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0005410 [JEDI VCL] 00 JVCL Components minor always 2010-11-19 17:42 2012-02-29 16:53
Reporter CDametto View Status public  
Assigned To AHUser
Priority normal Resolution fixed  
Status resolved   Product Version 3.40
Summary 0005410: JvWizardInteriorPage.EnableJumpToPage doesn't work for more than one page
Description On a form put a JvWizard and add 4 pages.
In page 1 OnNextButtonClick add:

JvWizardInteriorPage2.EnableJumpToPage := False;
JvWizardInteriorPage3.EnableJumpToPage := False;

Run the program and press the next button.
I will expect to jump on page 4 but I get the page 3
Additional Information I solve the problem modifing in JvWizard.pas the function TJvWizard.FindNextEnabledPage

Al line 2646 I replace

if Assigned(APage) and not APage.EnableJumpToPage then
  APage := FindNextPage(APage.PageIndex, Step, CheckDisable);

with this
if Assigned(APage) and not APage.EnableJumpToPage then
  APage := FindNextEnabledPage(APage.PageIndex, Step, CheckDisable);

This work but I think there should be a better solution.
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0018172)
AHUser (developer)
2010-11-27 12:21

Fixed in svn revision 12901.

- Issue History
Date Modified Username Field Change
2010-11-19 17:42 CDametto New Issue
2010-11-27 12:21 AHUser Note Added: 0018172
2010-11-27 12:21 AHUser Status new => resolved
2010-11-27 12:21 AHUser Fixed in Version => Daily / SVN
2010-11-27 12:21 AHUser Resolution open => fixed
2010-11-27 12:21 AHUser Assigned To => AHUser
2012-02-29 16:53 obones Fixed in Version Daily / SVN => 3.45


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker